/* ----- barra de select ----- */
.select-1 {
  width: 300px;
  position: relative;
}

.select-1 #selected-value-1 {
  margin-left: .5rem;
  /* font-size: .70rem; */
}

#country-select label {
  font-size: 0.75rem;
  letter-spacing: 0.0225rem;
}

.select-1 #select-button {
  display: flex;
  padding: .3rem .7rem;
  align-items: center;
  justify-content: space-between;

  border-radius: 30px;
  background-color: var(--white);
  overflow: hidden;
  white-space: nowrap;
  text-overflow: ellipsis;
}

#selected-value-1 {
  color: var(--dark-blue);
  letter-spacing: 0.02625rem;
  display: flex;
  align-items: center;
  gap: 10px;
}

#chevrons svg {
  width: 1.2rem;
  height: 1.2rem;
}

.select-1 #chevrons {
  color: var(--dark-blue);
  width: 30px;
  height: 30px;
  display: grid;
  place-content: center;
}

#chevrons [data-lucide="chevron-up"] {
  display: none;
}

#options-view-button-1:checked+#select-button #chevrons [data-lucide="chevron-down"] {
  display: none;
}

#options-view-button-1:checked+#select-button #chevrons [data-lucide="chevron-up"] {
  display: block;
}

#country-select {
  position: relative;
}

#options-view-button-1 {
  all: unset;

  position: absolute;
  inset: 0;

  cursor: pointer;
  z-index: 3;
}

#options-1 {
  margin-top: .25rem;

  border-radius: 1rem;
  background-color: var(--white);

  display: none;

  width: 300px;
  position: absolute;
  z-index: 1;
}

/* ----- bloco de opcoes ----- */
.option-1 {
  display: flex;
  align-items: center;
  gap: .5rem;

  padding: .75rem 1rem;
  border-bottom: 1px solid var(--dark-blue);

  position: relative;
}

.option-1 .label {
  color: var(--dark-blue);
  font-size: 0.80rem;
  /* tamanho da fonte do botao Location */
}

.option-1:hover .label {
  color: var(--white);
}

.option-1:has(input:checked),
.option-1:hover {
  background-color: var(--gray);
  color: var(--white);
}

.option-1:first-child {
  border-radius: 1rem 1rem 0 0;
}

.option-1:last-child {
  border-radius: 0 0 1rem 1rem;
  border-bottom: 0;
}

.option-1 input[type="radio"] {
  all: unset;

  position: absolute;
  inset: 0;

  cursor: pointer;
}

#country-select:has(#options-view-button-1:checked)+#options-1 {
  display: block;
}